petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscGLLElementAdvectionCreate

computes the advection operator for a single 1d GLL element

### Synopsis

    PetscErrorCode PetscGLLElementAdvectionCreate(PetscGLL *gll,PetscReal ***AA)

Not Collective

### Input Parameter

gll -the nodes

### Output Parameter

AA -the stiffness element

### Notes

Destroy this with PetscGLLElementAdvectionDestroy()

This is the same as the Gradient operator multiplied by the diagonal mass matrix

You can access entries in this array with AA[i][j] but in memory it is stored in contiguous memory, row oriented

### See Also

PetscGLL, PetscGLLDestroy(), PetscGLLView(), PetscGLLElementLaplacianDestroy()

### Level

beginner

### Location

src/sys/classes/gll/petscgll.c

### Examples

src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages